package com.ruoyi.app.service;

import com.ruoyi.app.domain.AppPmsOrderIn;
import com.ruoyi.app.domain.DTO.PmsStockInCompleteReq;


import java.util.List;

/**
 * 【请填写功能名称】Service接口
 *
 * @author ruoyi
 * @date 2025-01-14
 */
public interface IAppPmsOrderInService
{
    /**
     * 查询【请填写功能名称】
     *
     * @param listId 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public AppPmsOrderIn selectAppPmsOrderInByListId(String listId);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param appPmsOrderIn 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<AppPmsOrderIn> selectAppPmsOrderInList(AppPmsOrderIn appPmsOrderIn);

    /**
     * 新增【请填写功能名称】
     *
     * @param appPmsOrderIn 【请填写功能名称】
     * @return 结果
     */
    public int insertAppPmsOrderIn(AppPmsOrderIn appPmsOrderIn);

    /**
     * 修改【请填写功能名称】
     *
     * @param appPmsOrderIn 【请填写功能名称】
     * @return 结果
     */
    public int updateAppPmsOrderIn(AppPmsOrderIn appPmsOrderIn);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param listIds 需要删除的【请填写功能名称】主键集合
     * @return 结果
     */
    public int deleteAppPmsOrderInByListIds(String[] listIds);

    /**
     * 删除【请填写功能名称】信息
     *
     * @param listId 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteAppPmsOrderInByListId(String listId);

    public List<AppPmsOrderIn> getInfoWithString(String param);

    public int pmsStockInComplete(PmsStockInCompleteReq request);

}
